package de.hottis.MeasurementCollector;

import java.util.Properties;

public class MeasurementCollector {
	static final String PROPS_FILENAME = "measurementCollector.props";
	
	
	public static void main(String[] args) throws Exception {
		System.out.println("MeasurementCollector starting");
		
		final Properties config = new Properties();
		config.load(MeasurementCollector.class.getClassLoader().getResourceAsStream(PROPS_FILENAME));
		
		MqttReceiver mqttReceiver = new MqttReceiver(config);
		mqttReceiver.connect();

		TestParser testParser = new TestParser();
		mqttReceiver.registerParser(testParser);
		
	}
		
/*		
import org.openmuc.jmbus.DataRecord;
import org.openmuc.jmbus.MBusMessage;
import org.openmuc.jmbus.VariableDataStructure;
import java.util.List;

		// String txtMsg = "68 38 38 68 08 54 72 21 00 13 00 2E 19 24 02 43 00 00 00 8C 10 04 97 84 16 00 8C 11 04 97 84 16 00 02 FD C9 FF 01 DF 00 02 FD DB FF 01 0D 00 02 AC FF 01 1B 00 82 40 AC FF 01 00 00 1A 16";
		String txtMsg = "68 61 61 68 08 21 72 00 00 00 00 00 00 01 00 B5 00 00 00 01 24 08 01 25 10 01 26 0D 02 27 01 01 05 67 C8 44 C0 3C 05 67 34 E9 0C 41 05 67 B7 F3 9A 41 05 67 71 86 25 41 0F E0 7A 32 00 B5 99 04 00 73 98 02 00 00 00 00 00 A6 06 00 00 A2 C3 7F 3F A5 BA 7F 3F 85 A7 7F 3F E7 F9 7F 3F CD CC CC 3D E8 03 00 00 12 16";
		String [] octetsTxt = txtMsg.split(" ");
		byte [] octets = new byte[octetsTxt.length];
		System.out.println("Start");
		for (int i = 0; i < octetsTxt.length; i++) {
			System.out.println(octetsTxt[i]);
			octets[i] = (byte)(Integer.parseInt(octetsTxt[i], 16) & 0xff);
		}
		System.out.println("End");
		
		MBusMessage mbusMsg = MBusMessage.decode(octets, octets.length);
		//System.out.println("MBusMessage: " + mbusMsg.toString());
		VariableDataStructure variableDataStructure = mbusMsg.getVariableDataResponse();
		variableDataStructure.decode();
		List<DataRecord> dataRecords = variableDataStructure.getDataRecords();
		
		for (DataRecord dataRecord : dataRecords) {
			System.out.println(dataRecord.getScaledDataValue() + " " + dataRecord.getUnit().getUnit());
		}
	}
*/
}
